Index: sasmodels/convert.json
===================================================================
--- sasmodels/convert.json	(revision f2473145a6baa12aa3ab15421a80d2f5d004935c)
+++ sasmodels/convert.json	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -574,5 +574,19 @@
       "pringle_sld": "sld_pringle"
     }
-  ], 
+  ],
+  "raspberry": [
+    "RaspBerryModel",
+    {
+    "volfraction_lg": "volf_Lsph",
+    "volfraction_sm": "volf_Ssph",
+    "radius_sm": "radius_Ssph",
+    "radius_lg": "radius_Lsph",
+    "sld_lg": "sld_Lsph",
+    "sld_sm": "sld_Ssph",
+    "sld_solvent": "sld_solv",
+    "surface_fraction": "surfrac_Ssph",
+    "penetration": "delta_Ssph"
+    }
+  ],
   "rectangular_prism": [
     "RectangularPrismModel", 
Index: sasmodels/models/_spherepy.py
===================================================================
--- sasmodels/models/_spherepy.py	(revision d7028dc22ec2cdba0543b07d743e678db43f44f1)
+++ sasmodels/models/_spherepy.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -117,4 +117,2 @@
             radius=120,
             radius_pd=.2, radius_pd_n=45)
-oldname = "SphereModel"
-oldpars = dict(sld='sldSph', sld_solvent='sldSolv', radius='radius')
Index: sasmodels/models/adsorbed_layer.py
===================================================================
--- sasmodels/models/adsorbed_layer.py	(revision 1d4d409c8d01570d44fef3e3975089a4e3c3b655)
+++ sasmodels/models/adsorbed_layer.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -82,15 +82,4 @@
             background = 0.0)
 
-oldname =  "Core2ndMomentModel"
-oldpars =  dict(scale = 'scale',
-               second_moment = 'second_moment',
-               adsorbed_amount = 'ads_amount',
-               density_shell = 'density_poly',
-               radius = 'radius_core',
-               volfraction = 'volf_cores',
-               sld_shell = 'sld_poly',
-               sld_solvent = 'sld_solv',
-               background = 'background')
-
 # these unit test values taken from SasView 3.1.2
 tests =  [
Index: sasmodels/models/barbell.py
===================================================================
--- sasmodels/models/barbell.py	(revision 02a09200b0a227653f44e340545f09531f7e69f2)
+++ sasmodels/models/barbell.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -123,9 +123,2 @@
             phi_pd=15, phi_pd_n=0,
            )
-
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'BarBellModel'
-oldpars = dict(sld='sld_barbell',
-               sld_solvent='sld_solv', bell_radius='rad_bell',
-               radius='rad_bar', length='len_bar')
Index: sasmodels/models/bcc_paracrystal.py
===================================================================
--- sasmodels/models/bcc_paracrystal.py	(revision 02a09200b0a227653f44e340545f09531f7e69f2)
+++ sasmodels/models/bcc_paracrystal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -137,7 +137,2 @@
     psi_pd=15, psi_pd_n=0,
     )
-
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'BCCrystalModel'
-oldpars = dict(sld='sldSph', sld_solvent='sldSolv')
Index: sasmodels/models/be_polyelectrolyte.py
===================================================================
--- sasmodels/models/be_polyelectrolyte.py	(revision a84a0cac83cecece77ff644df4f2552ef1452b62)
+++ sasmodels/models/be_polyelectrolyte.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -138,15 +138,4 @@
             polymer_concentration=0.7)
 
-oldname = "BEPolyelectrolyte"
-
-oldpars = dict(background='background',
-               contrast_factor='k',
-               bjerrum_length='lb',
-               virial_param='h',
-               monomer_length='b',
-               salt_concentration='cs',
-               ionization_degree='alpha',
-               polymer_concentration='c')
-
 tests = [
 
Index: sasmodels/models/binary_hard_sphere.py
===================================================================
--- sasmodels/models/binary_hard_sphere.py	(revision d1894294571f28b0f4e5d73e955b66e4b2541fab)
+++ sasmodels/models/binary_hard_sphere.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -116,11 +116,4 @@
             volfraction_lg=0.1, volfraction_sm=0.2)
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'BinaryHSModel'
-oldpars = dict(volfraction_lg='vol_frac_ls', volfraction_sm='vol_frac_ss',
-               sld_lg='ls_sld', sld_sm='ss_sld', sld_solvent='solvent_sld',
-               radius_lg='l_radius', radius_sm='s_radius')
-
 # NOTE: test results taken from values returned by SasView 3.1.2
 tests = [[{}, 0.001, 25.8927262013]]
Index: sasmodels/models/broad_peak.py
===================================================================
--- sasmodels/models/broad_peak.py	(revision aad336c963572c598c67e78f4e39f6c4a6b9298a)
+++ sasmodels/models/broad_peak.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -107,7 +107,2 @@
             porod_scale=1.0e-05, porod_exp=3,
             lorentz_scale=10, lorentz_length=50, peak_pos=0.1, lorentz_exp=2)
-
-oldname = "BroadPeakModel"
-oldpars = dict(porod_scale='scale_p', porod_exp='exponent_p',
-               lorentz_scale='scale_l', lorentz_length='length_l', peak_pos='q_peak',
-               lorentz_exp='exponent_l', scale=None)
Index: sasmodels/models/capped_cylinder.py
===================================================================
--- sasmodels/models/capped_cylinder.py	(revision e65a3e76ad1100c96ce720a14336ae8ef3d8e0d7)
+++ sasmodels/models/capped_cylinder.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -140,8 +140,2 @@
             theta_pd=15, theta_pd_n=45,
             phi_pd=15, phi_pd_n=1)
-oldname = 'CappedCylinderModel'
-oldpars = dict(sld='sld_capcyl',
-               sld_solvent='sld_solv',
-               length='len_cyl',
-               radius='rad_cyl',
-               cap_radius='rad_cap')
Index: sasmodels/models/core_multi_shell.py
===================================================================
--- sasmodels/models/core_multi_shell.py	(revision 6f0e04f2e9c3edcab46c213c3beb42345adc9aa5)
+++ sasmodels/models/core_multi_shell.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -194,13 +194,2 @@
             sld_shell = [2.0],
             thick_shell = [10])
-
-oldname = "CoreMultiShellModel"
-oldpars = dict(
-    sld="sld_core0",
-    radius="rad_core0",
-    sld_solvent="sld_solv",
-    n="n_shells",
-    sld_shell="sld_in_shell",
-    thick_shell="thick_shell",
-    # func_shell is always 2 in the user interface, so isn't included
-    )
Index: sasmodels/models/core_shell_bicelle.py
===================================================================
--- sasmodels/models/core_shell_bicelle.py	(revision aad336c963572c598c67e78f4e39f6c4a6b9298a)
+++ sasmodels/models/core_shell_bicelle.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -102,12 +102,4 @@
             phi=0)
 
-oldname = 'CoreShellBicelleModel'
-
-oldpars = dict(sld_core='core_sld', sld_face='face_sld', sld_rim='rim_sld',
-               sld_solvent='solvent_sld', rim_thickness='rim_thick',
-               face_thickness='face_thick',
-               theta='axis_theta',
-               phi='axis_phi')
-
 qx, qy = 0.4 * cos(90), 0.5 * sin(0)
 tests = [
Index: sasmodels/models/core_shell_cylinder.py
===================================================================
--- sasmodels/models/core_shell_cylinder.py	(revision 43b7eea5794b4eb3362114ebde67ff2fb1c38fdc)
+++ sasmodels/models/core_shell_cylinder.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -158,8 +158,3 @@
             theta_pd=15, theta_pd_n=45,
             phi_pd=15, phi_pd_n=1)
-oldname = 'CoreShellCylinderModel'
-oldpars = dict( sld_core='core_sld',
-               sld_shell='shell_sld',
-               sld_solvent='solvent_sld',
-               theta='axis_theta', phi='axis_phi')
 # ADDED by:  RKH  ON: 18Mar2016 renamed sld's etc
Index: sasmodels/models/core_shell_ellipsoid.py
===================================================================
--- sasmodels/models/core_shell_ellipsoid.py	(revision 27fade8efca5e97f6390e9f9c5da538ce8628a22)
+++ sasmodels/models/core_shell_ellipsoid.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -137,13 +137,4 @@
             phi=0)
 
-oldname = 'CoreShellEllipsoidModel'
-
-oldpars = dict(equat_core='equat_core',polar_core='polar_core',equat_shell='equat_shell',polar_shell='polar_shell',
-               sld_core='sld_core',
-               sld_shell='sld_shell',
-               sld_solvent='sld_solvent',
-               theta='axis_theta',
-               phi='axis_phi')
-
 q = 0.1
 phi = pi/6
Index: sasmodels/models/core_shell_ellipsoid_xt.py
===================================================================
--- sasmodels/models/core_shell_ellipsoid_xt.py	(revision 27fade8efca5e97f6390e9f9c5da538ce8628a22)
+++ sasmodels/models/core_shell_ellipsoid_xt.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -124,15 +124,4 @@
             phi=0)
 
-oldname = 'CoreShellEllipsoidXTModel'
-
-oldpars = dict(x_polar_shell='XpolarShell',
-               x_core='X_core',
-               t_shell='T_shell',
-               sld_core='sld_core',
-               sld_shell='sld_shell',
-               sld_solvent='sld_solvent',
-               theta='axis_theta',
-               phi='axis_phi')
-
 q = 0.1
 phi = pi/6
Index: sasmodels/models/core_shell_parallelepiped.py
===================================================================
--- sasmodels/models/core_shell_parallelepiped.py	(revision aad336c963572c598c67e78f4e39f6c4a6b9298a)
+++ sasmodels/models/core_shell_parallelepiped.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -176,14 +176,4 @@
             psi_pd=10, psi_pd_n=10)
 
-
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'CSParallelepipedModel'
-oldpars = dict(theta='parallel_theta', phi='parallel_phi', psi='parallel_psi',
-               sld_core='sld_pcore', sld_a='sld_rimA', sld_b='sld_rimB',
-               sld_c='sld_rimC', sld_solvent='sld_solv',
-               a_side='shortA', b_side='midB', c_side='longC',
-               arim_thickness='rimA', brim_thickness='rimB', crim_thickness='rimC')
-
 qx, qy = 0.2 * np.cos(2.5), 0.2 * np.sin(2.5)
 tests = [[{}, 0.2, 0.533149288477],
Index: sasmodels/models/core_shell_sphere.py
===================================================================
--- sasmodels/models/core_shell_sphere.py	(revision 3c6d5bcf47d2cda970035497bf883c4386f4fb94)
+++ sasmodels/models/core_shell_sphere.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -74,9 +74,4 @@
             sld_core=1.0, sld_shell=2.0, sld_solvent=0.0)
 
-oldname = 'CoreShellModel'
-oldpars = dict( sld_core='core_sld',
-               sld_shell='shell_sld',
-               sld_solvent='solvent_sld')
-
 def ER(radius, thickness):
     """
Index: sasmodels/models/correlation_length.py
===================================================================
--- sasmodels/models/correlation_length.py	(revision 0cc31e163b64eca925abbec18fe8338cc1fc7450)
+++ sasmodels/models/correlation_length.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -75,12 +75,4 @@
            )
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'CorrLengthModel'
-
-oldpars = dict(lorentz_scale='scale_l', porod_scale='scale_p',
-               cor_length='length_l', exponent_p='exponent_p',
-               exponent_l='exponent_l')
-
 tests = [[{}, 0.001, 1009.98],
          [{}, 0.150141, 0.175645],
Index: sasmodels/models/dab.py
===================================================================
--- sasmodels/models/dab.py	(revision aa2edb2b2fb550caed0506dcf63bc7eac7e1779a)
+++ sasmodels/models/dab.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -76,4 +76,2 @@
 
 demo = dict(scale=1, background=0, length=50)
-oldname = "DABModel"
-oldpars = dict(length='length')
Index: sasmodels/models/ellipsoid.py
===================================================================
--- sasmodels/models/ellipsoid.py	(revision 3556ad79872d55bd8cff8b5ca27db3a80f326f98)
+++ sasmodels/models/ellipsoid.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -165,6 +165,2 @@
             theta_pd=15, theta_pd_n=45,
             phi_pd=15, phi_pd_n=1)
-oldname = 'EllipsoidModel'
-oldpars = dict(theta='axis_theta', phi='axis_phi',
-               sld='sldEll', sld_solvent='sldSolv',
-               r_polar='radius_a', r_equatorial='radius_b')
Index: sasmodels/models/elliptical_cylinder.py
===================================================================
--- sasmodels/models/elliptical_cylinder.py	(revision 0cc31e163b64eca925abbec18fe8338cc1fc7450)
+++ sasmodels/models/elliptical_cylinder.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -110,7 +110,4 @@
             sld=4.0, sld_solvent=1.0, theta=10.0, phi=20, psi=30, theta_pd=10, phi_pd=2, psi_pd=3)
 
-oldname = 'EllipticalCylinderModel'
-oldpars = dict(axis_ratio="r_ratio",theta='cyl_theta', phi='cyl_phi', psi='cyl_psi', sld='sldCyl', sld_solvent='sldSolv')
-
 def ER(r_minor, axis_ratio, length):
     """
Index: sasmodels/models/fcc_paracrystal.py
===================================================================
--- sasmodels/models/fcc_paracrystal.py	(revision 02a09200b0a227653f44e340545f09531f7e69f2)
+++ sasmodels/models/fcc_paracrystal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -128,7 +128,2 @@
             psi_pd=15, psi_pd_n=0,
            )
-
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'FCCrystalModel'
-oldpars = dict(sld='sldSph', sld_solvent='sldSolv')
Index: sasmodels/models/flexible_cylinder.py
===================================================================
--- sasmodels/models/flexible_cylinder.py	(revision ce8bed9d3dac48c0121830280f01547120648cc7)
+++ sasmodels/models/flexible_cylinder.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -93,8 +93,4 @@
             sld_solvent=6.3)
 
-oldname = 'FlexibleCylinderModel'
-oldpars = dict(sld='sldCyl', sld_solvent='sldSolv')
-
-
 tests = [
     # Accuracy tests based on content in test/utest_other_models.py
Index: sasmodels/models/flexible_cylinder_elliptical.py
===================================================================
--- sasmodels/models/flexible_cylinder_elliptical.py	(revision 65bf704bd7e7c00248fb713302485bca120a040b)
+++ sasmodels/models/flexible_cylinder_elliptical.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -119,8 +119,4 @@
             sld_solvent=6.3)
 
-oldname = 'FlexCylEllipXModel'
-oldpars = dict(sld='sldCyl', sld_solvent='sldSolv')
-
-
 tests = [
     # Accuracy tests based on content in test/utest_other_models.py
Index: sasmodels/models/fractal.py
===================================================================
--- sasmodels/models/fractal.py	(revision 5e29b9db7aea7475014561f352b6601dc3d31d3c)
+++ sasmodels/models/fractal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -103,13 +103,4 @@
             sld_solvent=6.4)
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'FractalModel'
-oldpars = dict(radius='radius',
-               fractal_dim='fractal_dim',
-               cor_length='cor_length',
-               sld_block='sldBlock',
-               sld_solvent='sldSolv')
-
 # NOTE: test results taken from values returned by SasView 3.1.2
 tests = [
Index: sasmodels/models/fractal_core_shell.py
===================================================================
--- sasmodels/models/fractal_core_shell.py	(revision aad336c963572c598c67e78f4e39f6c4a6b9298a)
+++ sasmodels/models/fractal_core_shell.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -86,9 +86,4 @@
             cor_length=100.0)
 
-oldname = 'FractalCoreShellModel'
-oldpars = dict( sld_core='core_sld',
-               sld_shell='shell_sld',
-               sld_solvent='solvent_sld')
-
 def ER(radius, thickness):
     """
Index: sasmodels/models/fuzzy_sphere.py
===================================================================
--- sasmodels/models/fuzzy_sphere.py	(revision d7028dc22ec2cdba0543b07d743e678db43f44f1)
+++ sasmodels/models/fuzzy_sphere.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -120,8 +120,4 @@
             fuzziness_pd=.2, fuzziness_pd_n=0)
 
-oldname = "FuzzySphereModel"
-oldpars = dict(sld='sldSph', sld_solvent='sldSolv', radius='radius', fuzziness='fuzziness')
-
-
 tests = [
     # Accuracy tests based on content in test/utest_models_new1_3.py
Index: sasmodels/models/gauss_lorentz_gel.py
===================================================================
--- sasmodels/models/gauss_lorentz_gel.py	(revision b8954d7b3402719d5ef671b921a19c9922cf5675)
+++ sasmodels/models/gauss_lorentz_gel.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -113,12 +113,4 @@
             dynamic_cor_length=20.0)
 
-oldname = "GaussLorentzGelModel"
-
-oldpars = dict(background='background',
-               gauss_scale_factor='scale_g',
-               static_cor_length='stat_colength',
-               lorentz_scale_factor='scale_l',
-               dynamic_cor_length='dyn_colength')
-
 tests = [
 
Index: sasmodels/models/gaussian_peak.py
===================================================================
--- sasmodels/models/gaussian_peak.py	(revision aa2edb2b2fb550caed0506dcf63bc7eac7e1779a)
+++ sasmodels/models/gaussian_peak.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -67,4 +67,2 @@
 
 demo = dict(scale=1, background=0, q0=0.05, sigma=0.005)
-oldname = "PeakGaussModel"
-oldpars = dict(sigma='B')
Index: sasmodels/models/gel_fit.py
===================================================================
--- sasmodels/models/gel_fit.py	(revision b8954d7b3402719d5ef671b921a19c9922cf5675)
+++ sasmodels/models/gel_fit.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -78,11 +78,4 @@
             cor_length=16.0)
 
-oldname = 'GelFitModel'
-oldpars = dict(guinier_scale='gScale',
-               lorentzian_scale='lScale',
-               gyration_radius='radius',
-               fractal_exp='FractalExp',
-               cor_length='zeta')
-
 tests = [[{'guinier_scale': 1.0,
            'lorentzian_scale': 1.0,
Index: sasmodels/models/guinier.py
===================================================================
--- sasmodels/models/guinier.py	(revision 45330ed87f6bdaf8560c04fe1639a77425c766e9)
+++ sasmodels/models/guinier.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -53,9 +53,4 @@
 demo = dict(scale=1.0, rg=60.0)
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'GuinierModel'
-oldpars = dict(rg='rg')
-
 # parameters for unit tests
 tests = [[{'rg' : 31.5}, 0.005, 0.992756]]
Index: sasmodels/models/guinier_porod.py
===================================================================
--- sasmodels/models/guinier_porod.py	(revision 45330ed87f6bdaf8560c04fe1639a77425c766e9)
+++ sasmodels/models/guinier_porod.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -123,6 +123,3 @@
 demo = dict(scale=1.5, background=0.5, rg=60, s=1.0, m=3.0)
 
-oldname = "GuinierPorodModel"
-oldpars = dict(scale='scale', background='background', s='dim', m='m', rg='rg')
-
 tests = [[{'scale': 1.5, 'background':0.5}, 0.04, 5.290096890253155]]
Index: sasmodels/models/hardsphere.py
===================================================================
--- sasmodels/models/hardsphere.py	(revision 934f9066e07d143504e27d267915514971b7ceb0)
+++ sasmodels/models/hardsphere.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -158,6 +158,4 @@
 
 demo = dict(radius_effective=200, volfraction=0.2, radius_effective_pd=0.1, radius_effective_pd_n=40)
-oldname = 'HardsphereStructure'
-oldpars = dict(radius_effective="effect_radius",radius_effective_pd="effect_radius_pd",radius_effective_pd_n="effect_radius_pd_n")
 # Q=0.001 is in the Taylor series, low Q part, so add Q=0.1, assuming double precision sasview is correct
 tests = [
Index: sasmodels/models/hayter_msa.py
===================================================================
--- sasmodels/models/hayter_msa.py	(revision a3e0a8b28937e4c8a402ce51ac403b7be8897d1c)
+++ sasmodels/models/hayter_msa.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -94,8 +94,4 @@
 # VR defaults to 1.0
 
-oldname = 'HayterMSAStructure'
-#oldpars = dict(effect_radius="radius_effective",effect_radius_pd="radius_effective_pd",effect_radius_pd_n="radius_effective_pd_n")
-oldpars = dict(radius_effective="effect_radius",radius_effective_pd="effect_radius_pd",radius_effective_pd_n="effect_radius_pd_n",salt_concentration="saltconc")
-#oldpars = dict( )
 # default parameter set,  use  compare.sh -midQ -linear
 # note the calculation varies in different limiting cases so a wide range of
Index: sasmodels/models/hollow_cylinder.py
===================================================================
--- sasmodels/models/hollow_cylinder.py	(revision 43b7eea5794b4eb3362114ebde67ff2fb1c38fdc)
+++ sasmodels/models/hollow_cylinder.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -120,11 +120,4 @@
            )
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'HollowCylinderModel'
-oldpars = dict(scale='scale', background='background', radius='radius',
-               core_radius='core_radius', sld='sldCyl', length='length',
-               sld_solvent='sldSolv', phi='axis_phi', theta='axis_theta')
-
 # Parameters for unit tests
 tests = [
Index: sasmodels/models/hollow_rectangular_prism.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism.py	(revision 3d8283b2c240f54cc6f2667de0f1784412a1c426)
+++ sasmodels/models/hollow_rectangular_prism.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -154,10 +154,4 @@
             c2a_ratio_pd=0.1, c2a_ratio_pd_n=1)
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'RectangularHollowPrismModel'
-oldpars = dict(a_side='short_side', b2a_ratio='b2a_ratio', c_side='c2a_ratio',
-               thickness='thickness', sld='sldPipe', sld_solvent='sldSolv')
-
 tests = [[{}, 0.2, 0.76687283098],
          [{}, [0.2], [0.76687283098]],
Index: sasmodels/models/hollow_rectangular_prism_thin_walls.py
===================================================================
--- sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision 3d8283b2c240f54cc6f2667de0f1784412a1c426)
+++ sasmodels/models/hollow_rectangular_prism_thin_walls.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -133,10 +133,4 @@
             c2a_ratio_pd=0.1, c2a_ratio_pd_n=1)
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'RectangularHollowPrismInfThinWallsModel'
-oldpars = dict(a_side='short_side', b2a_ratio='b2a_ratio', c_side='c2a_ratio',
-               sld='sldPipe', sld_solvent='sldSolv')
-
 tests = [[{}, 0.2, 0.837719188592],
          [{}, [0.2], [0.837719188592]],
Index: sasmodels/models/lamellar.py
===================================================================
--- sasmodels/models/lamellar.py	(revision 7c391dd12853b2e9403ba35b776d89aeb6838937)
+++ sasmodels/models/lamellar.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -93,6 +93,4 @@
             thickness=40,
             thickness_pd=0.2, thickness_pd_n=40)
-oldname = 'LamellarModel'
-oldpars = dict(sld='sld_bi', sld_solvent='sld_sol', thickness='bi_thick')
 tests = [
         [ {'scale': 1.0, 'background' : 0.0, 'thickness' : 50.0, 'sld' : 1.0,'sld_solvent' : 6.3, 'thickness_pd' : 0.0, 
Index: sasmodels/models/lamellar_hg.py
===================================================================
--- sasmodels/models/lamellar_hg.py	(revision 52a3db3cb286d26bfdebb3ea92ad54cd92a07c7f)
+++ sasmodels/models/lamellar_hg.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -114,7 +114,4 @@
             head_length_pd=0.01, head_length_pd_n=40)
 
-oldname = 'LamellarFFHGModel'
-oldpars = dict(head_length='h_thickness', tail_length='t_length',
-               sld='sld_tail', sld_head='sld_head', sld_solvent='sld_solvent')
 #
 tests = [[{'scale': 1.0, 'background': 0.0, 'tail_length': 15.0, 'head_length': 10.0,
Index: sasmodels/models/lamellar_hg_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_hg_stack_caille.py	(revision 6ab4ed8677894e77dfd90dc3fdd5bdac2df2eff8)
+++ sasmodels/models/lamellar_hg_stack_caille.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -138,10 +138,4 @@
     )
 
-oldname = 'LamellarPSHGModel'
-
-oldpars = dict(
-    tail_length='deltaT', head_length='deltaH', Nlayers='n_plates',
-    Caille_parameter='caille', sld='sld_tail', sld_head='sld_head',
-    sld_solvent='sld_solvent')
 #
 tests = [[{'scale': 1.0, 'background': 0.0, 'tail_length': 10.0, 'head_length': 2.0,
Index: sasmodels/models/lamellar_stack_caille.py
===================================================================
--- sasmodels/models/lamellar_stack_caille.py	(revision 6ab4ed8677894e77dfd90dc3fdd5bdac2df2eff8)
+++ sasmodels/models/lamellar_stack_caille.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -117,8 +117,4 @@
             spacing_pd=0.05, spacing_pd_n=40)
 
-oldname = 'LamellarPSModel'
-oldpars = dict(thickness='delta', Nlayers='N_plates',
-               Caille_parameter='caille',
-               sld='sld_bi', sld_solvent='sld_sol')
 #
 tests = [
Index: sasmodels/models/lamellar_stack_paracrystal.py
===================================================================
--- sasmodels/models/lamellar_stack_paracrystal.py	(revision 6ab4ed8677894e77dfd90dc3fdd5bdac2df2eff8)
+++ sasmodels/models/lamellar_stack_paracrystal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -144,7 +144,4 @@
             thickness_pd=0.2, thickness_pd_n=40)
 
-oldname = 'LamellarPCrystalModel'
-oldpars = dict(spacing_polydisp='pd_spacing', sld='sld_layer',
-               sld_solvent='sld_solvent')
 #
 tests = [
Index: sasmodels/models/line.py
===================================================================
--- sasmodels/models/line.py	(revision a84a0cac83cecece77ff644df4f2552ef1452b62)
+++ sasmodels/models/line.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -73,7 +73,4 @@
 demo = dict(scale=1.0, background=0, intercept=1.0, slope=1.0)
 
-oldname = "LineModel"
-oldpars = dict(intercept='A', slope='B', background=None, scale=None)
-
 tests = [
 
Index: sasmodels/models/linear_pearls.py
===================================================================
--- sasmodels/models/linear_pearls.py	(revision a2f9aa2c5e9891cc036e9cce1ab91a3b5223a41d)
+++ sasmodels/models/linear_pearls.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -71,10 +71,4 @@
             sld_solvent=6.3)
 
-oldname = "LinearPearlsModel"
-
-oldpars = dict(edge_sep='edge_separation',
-               sld='sld_pearl',
-               sld_solvent='sld_solv')
-
 """
 Tests temporarily disabled, until single-double precision accuracy issue solved.
Index: sasmodels/models/lorentz.py
===================================================================
--- sasmodels/models/lorentz.py	(revision aa2edb2b2fb550caed0506dcf63bc7eac7e1779a)
+++ sasmodels/models/lorentz.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -55,9 +55,4 @@
 demo = dict(scale=1.0, background=0.0, cor_length=50.0)
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'LorentzModel'
-oldpars = dict(cor_length='length')
-
 # parameters for unit tests
 tests = [[{'cor_length': 250}, 0.01, 0.138931]]
Index: sasmodels/models/mass_fractal.py
===================================================================
--- sasmodels/models/mass_fractal.py	(revision 95441ffb0cf1218dcf0cf0379c6de0a422beab4f)
+++ sasmodels/models/mass_fractal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -92,9 +92,4 @@
             cutoff_length=100.0)
 
-oldname = 'MassFractalModel'
-oldpars = dict(radius='radius',
-               mass_dim='mass_dim',
-               cutoff_length='co_length')
-
 tests = [
 
Index: sasmodels/models/mass_surface_fractal.py
===================================================================
--- sasmodels/models/mass_surface_fractal.py	(revision 95441ffb0cf1218dcf0cf0379c6de0a422beab4f)
+++ sasmodels/models/mass_surface_fractal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -98,11 +98,4 @@
             primary_rg=4000.0)
 
-oldname = 'MassSurfaceFractal'
-oldpars = dict(radius='radius',
-               mass_dim='mass_dim',
-               surface_dim='surface_dim',
-               cluster_rg='cluster_rg',
-               primary_rg='primary_rg')
-
 tests = [
 
Index: sasmodels/models/mono_gauss_coil.py
===================================================================
--- sasmodels/models/mono_gauss_coil.py	(revision 6b4f7f6dcc3e41a1612f266b8d5ed21dd3a495d8)
+++ sasmodels/models/mono_gauss_coil.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -81,9 +81,4 @@
             background = 0.0)
 
-oldname =  "DebyeModel"
-oldpars =  dict(scale = 'scale',
-               radius_gyration = 'rg',
-               background = 'background')
-
 # these unit test values taken from SasView 3.1.2
 tests =  [
Index: sasmodels/models/multilayer_vesicle.py
===================================================================
--- sasmodels/models/multilayer_vesicle.py	(revision d7028dc22ec2cdba0543b07d743e678db43f44f1)
+++ sasmodels/models/multilayer_vesicle.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -95,9 +95,4 @@
             n_pairs=2.0)
 
-oldname = 'MultiShellModel'
-oldpars = dict(radius='core_radius',
-               thick_shell='s_thickness', thick_solvent='w_thickness',
-               sld_solvent='core_sld', sld='shell_sld')
-
 tests = [
     # Accuracy tests based on content in test/utest_other_models.py
Index: sasmodels/models/onion.py
===================================================================
--- sasmodels/models/onion.py	(revision b0696e18652568515e39b05cecac89e32c570339)
+++ sasmodels/models/onion.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -385,15 +385,2 @@
     # "A[1]": 0, "A[2]": -1, "A[3]": 1e-4, "A[4]": 1,
     }
-
-oldname = "OnionExpShellModel"
-oldpars = dict(
-    core_sld="sld_core0",
-    core_radius="rad_core0",
-    solvent_sld="sld_solv",
-    n="n_shells",
-    in_sld="sld_in_shell",
-    out_sld="sld_out_shell",
-    A="A_shell",
-    thickness="thick_shell",
-    # func_shell is always 2 in the user interface, so isn't included
-    )
Index: sasmodels/models/parallelepiped.py
===================================================================
--- sasmodels/models/parallelepiped.py	(revision 76e50417db49089f63d6c1f3177f458fb6b749ce)
+++ sasmodels/models/parallelepiped.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -222,12 +222,4 @@
             psi_pd=10, psi_pd_n=10)
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'ParallelepipedModel'
-oldpars = dict(theta='parallel_theta', phi='parallel_phi', psi='parallel_psi',
-               a_side='short_a', b_side='short_b', c_side='long_c',
-               sld='sldPipe', sld_solvent='sldSolv')
-
-
 qx, qy = 0.2 * np.cos(2.5), 0.2 * np.sin(2.5)
 tests = [[{}, 0.2, 0.17758004974],
Index: sasmodels/models/peak_lorentz.py
===================================================================
--- sasmodels/models/peak_lorentz.py	(revision aa2edb2b2fb550caed0506dcf63bc7eac7e1779a)
+++ sasmodels/models/peak_lorentz.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -70,6 +70,3 @@
             peak_pos=0.05, peak_hwhm=0.005)
 
-oldname = "PeakLorentzModel"
-oldpars = dict(peak_pos='q0', peak_hwhm='B')
-
 tests = [[{'scale':100.0, 'background':1.0}, 0.001, 2.0305]]
Index: sasmodels/models/pearl_necklace.py
===================================================================
--- sasmodels/models/pearl_necklace.py	(revision a2f9aa2c5e9891cc036e9cce1ab91a3b5223a41d)
+++ sasmodels/models/pearl_necklace.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -125,11 +125,3 @@
            )
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'PearlNecklaceModel'
-oldpars = dict(scale='scale', background='background', radius='radius',
-               number_of_pearls='num_pearls', sld_solvent='sld_solv',
-               string_thickness='thick_string', sld='sld_pearl',
-               sld_string='sld_string', edge_separation='edge_separation')
-
 tests = [[{}, 0.001, 17380.245], [{}, 'ER', 115.39502]]
Index: sasmodels/models/poly_gauss_coil.py
===================================================================
--- sasmodels/models/poly_gauss_coil.py	(revision 09b84ed7bd6f97e338d1c57ee34a9c72d4771eb8)
+++ sasmodels/models/poly_gauss_coil.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -94,10 +94,4 @@
             background = 0.0)
 
-oldname =  "Poly_GaussCoil"
-oldpars =  dict(scale = 'scale',
-               radius_gyration = 'rg',
-               polydispersity = 'poly_m',
-               background = 'background')
-
 # these unit test values taken from SasView 3.1.2
 tests =  [
Index: sasmodels/models/polymer_excl_volume.py
===================================================================
--- sasmodels/models/polymer_excl_volume.py	(revision bf595277a80ec83649a10cdd1bf48deefa6b8df6)
+++ sasmodels/models/polymer_excl_volume.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -154,9 +154,4 @@
             porod_exp=3.0)
 
-oldname = "PolymerExclVolume"
-oldpars = dict(background='background', scale='scale',
-               rg='rg',
-               porod_exp='m')
-
 tests = [
     # Accuracy tests based on content in test/polyexclvol_default_igor.txt
Index: sasmodels/models/polymer_micelle.py
===================================================================
--- sasmodels/models/polymer_micelle.py	(revision 1e9a108a9404075e31ddee58f1d75b34a48df2fb)
+++ sasmodels/models/polymer_micelle.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -66,9 +66,4 @@
 
 
-oldname = 'MicelleSphCoreModel'
-oldpars = dict(sld_solvent='rho_solv',
-               sld_core='rho_core',
-               sld_corona='rho_corona')
-
 tests = [
     [{}, 0.01, 15.3532],
Index: sasmodels/models/porod.py
===================================================================
--- sasmodels/models/porod.py	(revision 2f6303248feb26e5c64a30db18b33ccd2d8815af)
+++ sasmodels/models/porod.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -58,6 +58,3 @@
 demo = dict(scale=1.5, background=0.5)
 
-oldname = "PorodModel"
-oldpars = dict(scale='scale', background='background')
-
 tests = [[{'scale': 0.00001, 'background':0.01}, 0.04, 3.916250]]
Index: sasmodels/models/power_law.py
===================================================================
--- sasmodels/models/power_law.py	(revision aa2edb2b2fb550caed0506dcf63bc7eac7e1779a)
+++ sasmodels/models/power_law.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -58,9 +58,4 @@
             background=0.0)
 
-oldname = "PowerLawAbsModel"
-oldpars = dict(scale='scale',
-               power='m',
-               background='background')
-
 tests = [
     [{'scale': 1.0, 'power': 4.0, 'background' : 0.0},
Index: sasmodels/models/pringle.py
===================================================================
--- sasmodels/models/pringle.py	(revision 693570cced80bc3522d78126acf1175a2f6fde00)
+++ sasmodels/models/pringle.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -93,14 +93,4 @@
             sld_solvent=6.35)
 
-oldname = 'PringlesModel'
-oldpars = dict(background='background',
-               scale='scale',
-               radius='radius',
-               thickness='thickness',
-               alpha='alpha',
-               beta='beta',
-               pringle_sld='sld_pringle',
-               solvent_sld='sld_solvent')
-
 tests = [
     [{'scale' : 1.0,
Index: sasmodels/models/raspberry.py
===================================================================
--- sasmodels/models/raspberry.py	(revision 204fd9ba687708dd97f61ef8b573ebba4d539413)
+++ sasmodels/models/raspberry.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -161,7 +161,4 @@
             radius_lg_pd=.2, radius_lg_pd_n=10)
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-
 # TODO: update tests so the parameters correspond to SasView parameters
 # The model was re-parameterized so the results have changed.
Index: sasmodels/models/rectangular_prism.py
===================================================================
--- sasmodels/models/rectangular_prism.py	(revision 76e50417db49089f63d6c1f3177f458fb6b749ce)
+++ sasmodels/models/rectangular_prism.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -131,10 +131,4 @@
             c2a_ratio_pd=0.1, c2a_ratio_pd_n=1)
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'RectangularPrismModel'
-oldpars = dict(a_side='short_side', b2a_ratio='b2a_ratio', c_side='c2a_ratio',
-               sld='sldPipe', sld_solvent='sldSolv')
-
 tests = [[{}, 0.2, 0.375248406825],
          [{}, [0.2], [0.375248406825]],
Index: sasmodels/models/rpa.py
===================================================================
--- sasmodels/models/rpa.py	(revision aad336c963572c598c67e78f4e39f6c4a6b9298a)
+++ sasmodels/models/rpa.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -136,6 +136,2 @@
         return HIDE_NONE
 
-oldname = 'RPAModel'
-oldpars = dict(
-    case_num="lcase_n",
-)
Index: sasmodels/models/sc_paracrystal.py
===================================================================
--- sasmodels/models/sc_paracrystal.py	(revision 02a09200b0a227653f44e340545f09531f7e69f2)
+++ sasmodels/models/sc_paracrystal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -145,9 +145,4 @@
             psi=0.0)
 
-oldname = 'SCCrystalModel'
-
-oldpars = dict(sld='sldSph',
-               sld_solvent='sldSolv')
-
 tests = [
     # Accuracy tests based on content in test/utest_extra_models.py
Index: sasmodels/models/sphere.py
===================================================================
--- sasmodels/models/sphere.py	(revision 364d8f70977574c323094a8549bd77956663945a)
+++ sasmodels/models/sphere.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -96,4 +96,2 @@
             radius=120,
             radius_pd=.2, radius_pd_n=45)
-oldname = "SphereModel"
-oldpars = dict(sld='sldSph', sld_solvent='sldSolv', radius='radius')
Index: sasmodels/models/spherical_sld.py
===================================================================
--- sasmodels/models/spherical_sld.py	(revision 6f0e04f2e9c3edcab46c213c3beb42345adc9aa5)
+++ sasmodels/models/spherical_sld.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -197,20 +197,4 @@
     background=0.0,
     npts_inter=35.0,
-    )
-
-oldname = "SphereSLDModel"
-oldpars = dict(
-    #scale="scale",
-    #background='background',
-    #n_shells="n_shells",
-    radius_core='rad_core',
-    #sld_core='sld_core',
-    #sld_flat='sld_flat',
-    #thick_flat='thick_flat',
-    #func_inter='func_inter',
-    #thick_inter='thick_inter',
-    #inter_nu='nu_inter',
-    #npts_inter='npts_inter',
-    sld_solvent='sld_solv',
     )
 
Index: sasmodels/models/squarewell.py
===================================================================
--- sasmodels/models/squarewell.py	(revision b8129727ff10d80b4f38a3d4d680169c84fd53f2)
+++ sasmodels/models/squarewell.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -130,6 +130,4 @@
 # VR defaults to 1.0
 
-oldname = 'SquareWellStructure'
-oldpars = dict(radius_effective="effect_radius",radius_effective_pd="effect_radius_pd",radius_effective_pd_n="effect_radius_pd_n")
 demo = dict(radius_effective=50, volfraction=0.04, welldepth=1.5,
             wellwidth=1.2, radius_effective_pd=0, radius_effective_pd_n=0)
Index: sasmodels/models/stacked_disks.py
===================================================================
--- sasmodels/models/stacked_disks.py	(revision 53215cfe7c83e780da26e7549f7f4aa8555e8261)
+++ sasmodels/models/stacked_disks.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -155,10 +155,4 @@
             phi=0)
 
-
-oldname = 'StackedDisksModel'
-
-oldpars = dict(sld_core='core_sld',sld_layer='layer_sld',sld_solvent='solvent_sld',n_stacking='n_stacking',theta='axis_theta',
-               phi='axis_phi')
-
 tests = [
     # Accuracy tests based on content in test/utest_extra_models.py.
Index: sasmodels/models/star_polymer.py
===================================================================
--- sasmodels/models/star_polymer.py	(revision 6b4f7f6dcc3e41a1612f266b8d5ed21dd3a495d8)
+++ sasmodels/models/star_polymer.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -69,9 +69,4 @@
             arms=3.0)
 
-oldname = 'StarPolymer'
-
-oldpars = dict(rg_squared='R2',
-               arms='arms')
-
 tests = [[{'rg_squared': 2.0,
            'arms':    3.3,
Index: sasmodels/models/stickyhardsphere.py
===================================================================
--- sasmodels/models/stickyhardsphere.py	(revision 54954e1e02af29c4322cdf2636663f22a45de3ed)
+++ sasmodels/models/stickyhardsphere.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -178,6 +178,4 @@
 # VR defaults to 1.0
 
-oldname = 'StickyHSStructure'
-oldpars = dict(radius_effective="effect_radius",radius_effective_pd="effect_radius_pd",radius_effective_pd_n="effect_radius_pd_n")
 demo = dict(radius_effective=200, volfraction=0.2, perturb=0.05,
             stickiness=0.2, radius_effective_pd=0.1, radius_effective_pd_n=40)
Index: sasmodels/models/surface_fractal.py
===================================================================
--- sasmodels/models/surface_fractal.py	(revision 95441ffb0cf1218dcf0cf0379c6de0a422beab4f)
+++ sasmodels/models/surface_fractal.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -92,9 +92,4 @@
             radius=10, surface_dim=2.0, cutoff_length=500)
 
-oldname = 'SurfaceFractalModel'
-oldpars = dict(radius='radius',
-               surface_dim='surface_dim',
-               cutoff_length='co_length')
-
 tests = [
     # Accuracy tests based on content in test/utest_other_models.py
Index: sasmodels/models/teubner_strey.py
===================================================================
--- sasmodels/models/teubner_strey.py	(revision aa2edb2b2fb550caed0506dcf63bc7eac7e1779a)
+++ sasmodels/models/teubner_strey.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -84,6 +84,3 @@
 
 demo = dict(scale=1, background=0, a2=0.1, c1=-30.0, c2=5000.0)
-oldname = "TeubnerStreyModel"
-oldpars = dict(a2='scale')
-
 tests = [[{}, 0.2, 0.145927536232]]
Index: sasmodels/models/triaxial_ellipsoid.py
===================================================================
--- sasmodels/models/triaxial_ellipsoid.py	(revision 49da0794022419abc59514fd36d5fed434d4075b)
+++ sasmodels/models/triaxial_ellipsoid.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -124,7 +124,2 @@
             phi_pd=15, phi_pd_n=1,
             psi_pd=15, psi_pd_n=1)
-oldname = 'TriaxialEllipsoidModel'
-oldpars = dict(theta='axis_theta', phi='axis_phi', psi='axis_psi',
-               sld='sldEll', solvent_sld='sldSolv',
-               req_minor='semi_axisA', req_major='semi_axisB',
-               rpolar='semi_axisC')
Index: sasmodels/models/two_lorentzian.py
===================================================================
--- sasmodels/models/two_lorentzian.py	(revision caa7b4acf914e2649db0a98cfd9097863de7efdf)
+++ sasmodels/models/two_lorentzian.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -116,13 +116,4 @@
             lorentz_exp_2=2.0)
 
-oldname = "TwoLorentzianModel"
-oldpars = dict(background='background',
-               lorentz_scale_1='scale_1',
-               lorentz_scale_2='scale_2',
-               lorentz_length_1='length_1',
-               lorentz_length_2='length_2',
-               lorentz_exp_1='exponent_1',
-               lorentz_exp_2='exponent_2')
-
 tests = [
 
Index: sasmodels/models/two_power_law.py
===================================================================
--- sasmodels/models/two_power_law.py	(revision c6652bba5d5eb799925207000a6e6a31b1cdcacb)
+++ sasmodels/models/two_power_law.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -123,11 +123,4 @@
             power_2=4.0)
 
-oldname = "TwoPowerLawModel"
-oldpars = dict(coefficent_1='coef_A',
-               crossover='qc',
-               power_1='power1',
-               power_2='power2',
-               background='background')
-
 tests = [
     # Accuracy tests based on content in test/utest_extra_models.py
Index: sasmodels/models/vesicle.py
===================================================================
--- sasmodels/models/vesicle.py	(revision 062db5a05f26e70feea0a4fd1ce809f6c457dedf)
+++ sasmodels/models/vesicle.py	(revision ec45c4f5ff6e17014d968da6eb80308c2c8791f0)
@@ -128,10 +128,4 @@
             thickness_pd=.2, thickness_pd_n=10)
 
-# For testing against the old sasview models, include the converted parameter
-# names and the target sasview model name.
-oldname = 'VesicleModel'
-oldpars = dict(sld='shell_sld', sld_solvent='solv_sld')
-
-
 # NOTE: test results taken from values returned by SasView 3.1.2, with
 # 0.001 added for a non-zero default background.
